%global srcname stringprep


Name: erlang-%{srcname}
Version: 1.0.9
Release: 2%{?dist}

License: ASL 2.0 and TCL
Summary: A framework for preparing Unicode strings to help input and comparison
URL: https://github.com/processone/stringprep/
Source0: https://github.com/processone/stringprep/archive/%{version}/%{srcname}-%{version}.tar.gz

Provides:  erlang-p1_stringprep = %{version}-%{release}
Obsoletes: erlang-p1_stringprep < 1.0.3

BuildRequires: erlang-rebar
BuildRequires: erlang-p1_utils >= 1.0.9

%{?__erlang_nif_version:Requires: %{__erlang_nif_version}}


%description
Stringprep is a framework for preparing Unicode test strings in order to
increase the likelihood that string input and string comparison work. The
principle are defined in RFC-3454: Preparation of Internationalized Strings.
This library is leverage Erlang native NIF mechanism to provide extremely fast
and efficient processing.


%prep
%autosetup -n stringprep-%{version}


%build
%{rebar_compile}


%install
install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib

install -pm755 priv/lib/* $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib/
%{erlang_install}


%check
%{rebar_eunit}


%files
%license LICENSE.txt LICENSE.TCL LICENSE.ALL
%doc README.md
%{erlang_appdir}


%changelog
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Mon Jul 31 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.9-1
- Update to 1.0.9 #(1434819).

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Dec 31 2016 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.7-1
- Update to 1.0.7 (#1398625).

* Thu Sep 15 2016 Randy Barlow <randy@electronsweatshop.com> - 1.0.6-1
- Update to 1.0.6 (#1365243).

* Sat Jul 30 2016 Randy Barlow <randy@electronsweatshop.com> - 1.0.5-1
- Update to 1.0.5 (#1354104).

* Tue Jul 05 2016 Jeremy Cline <jeremy@jcline.org> - 1.0.4-1
- Update to 1.0.4 (#1352599)

* Fri Mar 18 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.3-3
- Add a debuginfo package.

* Tue Mar 15 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.3-2
- Update to use the new Erlang specfile macros.

* Thu Mar 10 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.3-1
- Initial release.
